%define mainver 1.7

Name:		starfighter
Version:	1.7
Release:	%mkrel 1
Summary:	Project: Starfighter, a side-scrolling shoot 'em up space game
Group:		Games/Arcade
License:	GPLv3+
URL:		http://starfighter.nongnu.org
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{mainver}/%{name}-%{version}-src.tar.gz
Patch0:		starfighter-1.7-mga-datarootdir.patch

BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
Requires:	%{name}-data = %{version}-%{release}

%description
In the year 2579, the intergalactic weapons corporation, WEAPCO, has
dominated the galaxy. Guide Chris Bainfield and his friend Sid Wilson
on their quest to liberate the galaxy from the clutches of WEAPCO.
Along the way, you will encounter new foes, make new allies, and assist
local rebels in strikes against the evil corporation.

Originally developed by Parallel Realities in 2003, Project: Starfighter
is a side-scrolling shoot 'em up space game, released under the GNU GPL.
Consisting of 26 engaging levels spanning four planetary systems, this
classic game will entertain for hours.

%package data
Summary:        Arch-independent data files for Project: Starfighter
License:        GPLv3+ and GPLv2+ and CC BY-SA 3.0 and CC BY 3.0 and CC0 and Public Domain
BuildArch:      noarch

%description data
This package contains arch-independent data files (sounds, graphics, etc.)
for the Project: Starfighter game.

%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
autoreconf -vfi
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc docs/ COPYING LICENSES README.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Thu Apr 06 2017 akien <akien> 1.7-1.mga6
+ Revision: 1096046
- Version 1.7

* Sat Sep 24 2016 zezinho <zezinho> 1.6-1.mga6
+ Revision: 1055809
- new version

* Sun Jan 17 2016 akien <akien> 1.5.1.1-1.mga6
+ Revision: 924795
- Improve description
- Move noarch data in a -data subpackage
- Version 1.5.1.1
- Drop custom icons and desktop file, upstream provides them now

* Wed Sep 09 2015 zezinho <zezinho> 1.4-1.mga6
+ Revision: 874789
- new version 1.4 with music

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 747371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 689526
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 519086
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 383372
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 zezinho <zezinho> 1.2-1.mga3
+ Revision: 259299
- new version

* Sun Jul 10 2011 stormi <stormi> 1.1-9.mga2
+ Revision: 121436
- increase release so that it's higher than in mageia 1

* Sat Jun 25 2011 zezinho <zezinho> 1.1-8.mga2
+ Revision: 113522
- imported package starfighter

